Namespaces
SoftBookParser.cpp File Reference
`#include <cassert>`
`#include <deque>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libebook_utils.h"`
`#include "EBOOKStreamView.h"`
`#include "SoftBookLZSSStream.h"`
`#include "SoftBookParser.h"`
`#include "SoftBookResourceDir.h"`
`#include "SoftBookText.h"`

## Namespaces
namespace | libebook

## Variable Documentation

## ◆ id

unsigned id

## ◆ length

unsigned length

Referenced by libebook::EBOOKCharsetConverter::convertBytes(), libebook::EBOOKMemoryStream::EBOOKMemoryStream(), libebook::getFictionBook2Token(), libebook::getFictionBook2TokenID(), libebook::getFictionBook2TokenName(), libebook::PluckerParser::getUncompressedStream(), libebook::EBOOKCharsetConverter::guessEncoding(), libebook::BBeBCollector::insertImage(), libebook::PluckerParser::readMetadata(), libebook::readPascalString(), libebook::TCRParser::readReplacementTable(), libebook::TCRParser::TCRParser(), and libebook::ZVRParser::ZVRParser().

## ◆ m_resourceIndex

ResourceIndex_t m_resourceIndex
| private

## ◆ m_start

long m_start
| private

## ◆ m_stream

const shared_ptr<librevenge::RVNGInputStream> m_stream
| private

## ◆ offset

unsigned offset

Referenced by libebook::HTMLHelpStream::seek(), libebook::LITStream::seek(), libebook::RocketEBookStream::seek(), libebook::EBOOKMemoryStream::seek(), libebook::EBOOKStreamView::seek(), libebook::EBOOKUTF8Stream::seek(), libebook::EBOOKZlibStream::seek(), libebook::PDBLZ77Stream::seek(), and libebook::SoftBookLZSSStream::seek().